-
Would like to extrude some text on a non-planar plane. Text should go the lateral surface of a cylinder. How to do?
|
Beta Was this translation helpful? Give feedback.
Replies: 1 comment 1 reply
-
I had to fix up some broken code so refresh your build123d install, but here is how one does this: from build123d import *
from ocp_vscode import *
r = 10
m = Cylinder(r, 20)
f = m.faces().sort_by(Axis.Z)
bot = f[0]
lat = f[1] # lateral surface
top = f[2]
txt = Text("TEST", 10) # should be extruded on face "lat"
path = Edge.make_circle(r)
txt_on_surface = lat.project_faces(faces=txt, path=path, start=0)
three_d_text = [face.thicken(1) for face in txt_on_surface.faces()]
show(lat, three_d_text, alphas=[0.2, 1]) To place text (or any faces) on a non-planar surface one needs to define the |
Beta Was this translation helpful? Give feedback.
Works perfectly, exactly what I needed. Thanks a lot.
I am deeply impressed what Build123d can do. The potential is enormous!